.SS "OPENVSWITCH TUNNELING COMMANDS"
These commands query and modify OVS tunnel components.
.
.IP "\fBovs/route/add \fIip\fB/\fIplen\fB \fIoutput_bridge\fB \
[\fIgw\fB] [pkt_mark=\fImark\fB] [src=\fIsrc_ip\fB]\fR"
Adds \fIip\fR/\fIplen\fR route to vswitchd routing table. \fIoutput_bridge\fR
needs to be OVS bridge name.  This command is useful if OVS cached
routes does not look right.
.
.IP "\fBovs/route/show\fR"
Print all routes in OVS routing table, This includes routes cached
from system routing table and user configured routes.
.
.IP "\fBovs/route/del ip/plen [pkt_mark=mark]\fR"
Delete ip/plen route from OVS routing table.
.
.IP "\fBtnl/neigh/show\fR"
.IP "\fBtnl/arp/show\fR"
OVS builds ARP cache by snooping are messages. This command shows
ARP cache table.
.
.IP "\fBtnl/neigh/set \fIbridge ip mac\fR"
.IP "\fBtnl/arp/set \fIbridge ip mac\fR"
Adds or modifies an ARP cache entry in \fIbridge\fR, mapping \fIip\fR
to \fImac\fR.
.
.IP "\fBtnl/neigh/flush\fR"
.IP "\fBtnl/arp/flush\fR"
Flush ARP table.
.
.IP "\fBtnl/neigh/aging [\fIseconds\fB]\fR"
.IP "\fBtnl/arp/aging [\fIseconds\fB]\fR"
Changes the aging time. The accepted values of \fIseconds\fR are
between 1 and 3600. The new entries will get the value as specified in
\fIseconds\fR. For the existing entries, the aging time is updated
only if the current expiration is greater than \fIseconds\fR.
.IP
If used without arguments, it prints the current aging value.
.
.IP "\fBtnl/egress_port_range [num1] [num2]\fR"
Set range for UDP source port used for UDP based Tunnels. For
example VxLAN. If case of zero arguments this command prints
current range in use.
